手机版
你好,游客 登录 注册
背景:
阅读新闻

KASAN发现从早期Linux 2.6到4.20另一个内核漏洞

[日期:2019-02-21] 来源:Linux公社  作者:醉落红尘 [字体: ]

检测Linux内核代码中动态内存错误的动态内存错误检测工具(KASAN)刚刚获得了另一个成果,它发现了一个从早期Linux 2.6内核开始就存在的use-after-free漏洞。

动态内存错误检测工具(KASAN)已经被证明在发现各种编码错误方面非常有价值,希望在实际应用之前能够发现这些错误。内核地址错误检查程序在CVE-2019-8912发现中负责另一个挑战。

在网络子系统的sockfs代码中发现了一个use-after-free问题,它可能导致执行任意代码。

华为的一名工程师在上周报告了这个问题,并在不久后就修复了Linux Git。截至今天的Linux 4.20.11内核版本,中,它似乎还没有附带这个补丁,但应该很快就会出现在各种稳定/长期分支中。

更多关于此漏洞的细节,请访问nist.gov

Linux公社的RSS地址https://www.linuxidc.com/rssFeed.aspx

本文永久更新链接地址https://www.linuxidc.com/Linux/2019-02/157011.htm

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款